### Class

# Gtk ConstraintGuide

#### Description [src]

    final class Gtk.ConstraintGuide : GObject.Object {
      /* No available fields */
    }

A `GtkConstraintGuide` is an invisible layout element in a `GtkConstraintLayout`.

The `GtkConstraintLayout` treats guides like widgets. They can be used as the source or target of a `GtkConstraint`.

Guides have a minimum, maximum and natural size. Depending on the constraints that are applied, they can act like a guideline that widgets can be aligned to, or like flexible space.

Unlike a `GtkWidget`, a `GtkConstraintGuide` will not be drawn.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GtkConstraintTarget

#### Constructors

###### gtk_constraint_guide_new

Creates a new `GtkConstraintGuide` object.

#### Instance methods

###### gtk_constraint_guide_get_max_size

Gets the maximum size of `guide`.

###### gtk_constraint_guide_get_min_size

Gets the minimum size of `guide`.

###### gtk_constraint_guide_get_name

Retrieves the name set using gtk_constraint_guide_set_name().

###### gtk_constraint_guide_get_nat_size

Gets the natural size of `guide`.

###### gtk_constraint_guide_get_strength

Retrieves the strength set using gtk_constraint_guide_set_strength().

###### gtk_constraint_guide_set_max_size

Sets the maximum size of `guide`.

###### gtk_constraint_guide_set_min_size

Sets the minimum size of `guide`.

###### gtk_constraint_guide_set_name

Sets a name for the given `GtkConstraintGuide`.

###### gtk_constraint_guide_set_nat_size

Sets the natural size of `guide`.

###### gtk_constraint_guide_set_strength

Sets the strength of the constraint on the natural size of the given `GtkConstraintGuide`.

#### Properties

###### Gtk.ConstraintGuide:max-height

The maximum height of the guide.

###### Gtk.ConstraintGuide:max-width

The maximum width of the guide.

###### Gtk.ConstraintGuide:min-height

The minimum height of the guide.

###### Gtk.ConstraintGuide:min-width

The minimum width of the guide.

###### Gtk.ConstraintGuide:name

A name that identifies the `GtkConstraintGuide`, for debugging.

###### Gtk.ConstraintGuide:nat-height

The preferred, or natural, height of the guide.

###### Gtk.ConstraintGuide:nat-width

The preferred, or natural, width of the guide.

###### Gtk.ConstraintGuide:strength

The `GtkConstraintStrength` to be used for the constraint on the natural size of the guide.

#### Class structure

    struct GtkConstraintGuideClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.